"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const SettingItem = require("../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.js");
const SettingItemBox = require("../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.js");
const CollapseItem_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.js");
const GlobalSetting_vue_vue_type_script_setup_true_lang = require("../../../../../components/Pages/ChartItemSetting/GlobalSetting.vue2.js");
require("../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.js");
require("../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.js");
require("../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.js");
require("../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.js");
require("../../../../../enums/pageEnum.js");
require("../../../../../router/index.js");
require("../../../../../store/modules/designStore/designStore.js");
require("../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.js");
require("../../../../../components/GoSkeleton/index.vue.js");
require("../../../../../components/GoLoading/index.js");
require("../../../../../settings/designSetting.js");
require("../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.js");
const config = require("./config.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const seriesList = runtimeCore_esmBundler.computed(() => {
      return props.optionData.series;
    });
    const sliderFormatTooltip = (v) => {
      return `${v}px`;
    };
    return (_ctx, _cache) => {
      const _component_n_select = runtimeCore_esmBundler.resolveComponent("n-select");
      const _component_n_slider = runtimeCore_esmBundler.resolveComponent("n-slider");
      const _component_n_input_number = runtimeCore_esmBundler.resolveComponent("n-input-number");
      const _component_n_color_picker = runtimeCore_esmBundler.resolveComponent("n-color-picker");
      const _component_n_checkbox = runtimeCore_esmBundler.resolveComponent("n-checkbox");
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, [
        runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(GlobalSetting_vue_vue_type_script_setup_true_lang.default), { optionData: __props.optionData }, null, 8, ["optionData"]),
        (runtimeCore_esmBundler.openBlock(true), runtimeCore_esmBundler.createElementBlock(runtimeCore_esmBundler.Fragment, null, runtimeCore_esmBundler.renderList(seriesList.value, (item, index) => {
          return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createBlock(reactivity_esmBundler.unref(CollapseItem_vue_vue_type_script_setup_true_lang.default), {
            key: index,
            name: `漏斗图`,
            expanded: ""
          }, {
            default: runtimeCore_esmBundler.withCtx(() => [
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), {
                name: "排序",
                alone: ""
              }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), null, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_select, {
                        value: item.sort,
                        "onUpdate:value": ($event) => item.sort = $event,
                        options: reactivity_esmBundler.unref(config.FunnelOrderEnumList),
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), {
                name: "范围",
                alone: true
              }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), {
                    name: `顶部距离：${item.top}px`
                  }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_slider, {
                        value: item.top,
                        "onUpdate:value": ($event) => item.top = $event,
                        min: 0,
                        max: 300,
                        "format-tooltip": sliderFormatTooltip
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1032, ["name"])
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "区块" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "边框大小" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.itemStyle.borderWidth,
                        "onUpdate:value": ($event) => item.itemStyle.borderWidth = $event,
                        min: 0,
                        max: 10,
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "边框颜色" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_color_picker, {
                        value: item.itemStyle.borderColor,
                        "onUpdate:value": ($event) => item.itemStyle.borderColor = $event,
                        modes: ["hex"],
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "间隔" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.gap,
                        "onUpdate:value": ($event) => item.gap = $event,
                        min: 0,
                        max: 20,
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItemBox.default), { name: "标签" }, {
                default: runtimeCore_esmBundler.withCtx(() => [
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "是否显示" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_checkbox, {
                        checked: item.label.show,
                        "onUpdate:checked": ($event) => item.label.show = $event,
                        size: "small"
                      }, {
                        default: runtimeCore_esmBundler.withCtx(() => [
                          runtimeCore_esmBundler.createTextVNode("标签")
                        ]),
                        _: 2
                      }, 1032, ["checked", "onUpdate:checked"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "位置" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_select, {
                        value: item.label.position,
                        "onUpdate:value": ($event) => item.label.position = $event,
                        options: reactivity_esmBundler.unref(config.FunnelLabelPositionEnumList),
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "大小" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.label.fontSize,
                        "onUpdate:value": ($event) => item.label.fontSize = $event,
                        min: 0,
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  runtimeCore_esmBundler.createVNode(reactivity_esmBundler.unref(SettingItem.default), { name: "悬停时大小" }, {
                    default: runtimeCore_esmBundler.withCtx(() => [
                      runtimeCore_esmBundler.createVNode(_component_n_input_number, {
                        value: item.emphasis.label.fontSize,
                        "onUpdate:value": ($event) => item.emphasis.label.fontSize = $event,
                        min: 0,
                        size: "small"
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024)
            ]),
            _: 2
          }, 1024);
        }), 128))
      ], 64);
    };
  }
});
exports.default = _sfc_main;
